package com.platform.yijia.dao;


import com.platform.yijia.pojo.CustomerCardUseRecord;
import com.platform.yijia.pojo.CustomerElectronicCard;

import java.util.List;

public interface ElectronicMembershipCardMapper {

    //获取用户储蓄卡列表
    List<CustomerElectronicCard> getElectronicCardList(CustomerElectronicCard customerElectronicCard);

    //获取活用要充值电子会员卡的信息
    CustomerElectronicCard getElectronicCardInfo(CustomerElectronicCard customerElectronicCard);

    //更新电子会员卡信息
    void updateElectronicCardInfo(CustomerElectronicCard customerElectronicCard);

    //获取用户储蓄卡的使用记录
    List<CustomerCardUseRecord> getCardUseRecordList(CustomerCardUseRecord customerCardUseRecord);

    //新增电子会员卡使用记录
    void insetCardUseRecord(CustomerCardUseRecord customerCardUseRecord);

}
